import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { Axis } from "./Axis";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private sr;
    readonly ss: IHorizontalAnchoredCategorySeriesInteractionManager;
    ji(): void;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected bj(): SeriesHitTestMode;
    pu(): CategoryAxisBase;
    qe(): NumericAxisBase;
    n4(a: Point): Rect;
    private s5;
    protected sx(a: Point, b: Point, c: boolean): boolean;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    dy(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    fh(a: Point, b: boolean, c: boolean): number;
    gf(a: Point, b: boolean): number;
    gd(a: Point, b: boolean): number;
    e2(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    nt(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    r5(a: Axis): void;
    r6(a: Axis): void;
    qo(): boolean;
    protected sn: CategoryAxisBase;
    protected st: NumericAxisBase;
    s1(a: CategoryAxisBase): void;
    s2(a: NumericYAxis): void;
    po(a: number, b: number): any[];
    protected kp(a: any, b: string, c: any, d: any): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    sv(a: any): boolean;
    sw(a: any): boolean;
    private sp;
    sq: CategoryMode;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
